import * as $dara from '@darabonba/typescript';
import { DescribeAutoProvisioningGroupInstancesResponseBody } from "./DescribeAutoProvisioningGroupInstancesResponseBody";
export declare class DescribeAutoProvisioningGroupInstancesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeAutoProvisioningGroupInstancesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
